> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Leaf Archived



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json post /admin_api/leaves/archive
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /admin_api/leaves/archive:
    post:
      tags:
        - leaf_admin
        - quanta-services-api
      summary: Set Leaf Archived
      operationId: set_leaf_archived
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetLeafArchivedRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeafResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SetLeafArchivedRequest:
      properties:
        slug:
          type: string
          minLength: 1
          title: Slug
        archived:
          type: boolean
          title: Archived
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
      additionalProperties: false
      type: object
      required:
        - slug
        - archived
      title: SetLeafArchivedRequest
    LeafResponse:
      properties:
        qid:
          type: string
          title: Qid
        slug:
          type: string
          title: Slug
        title:
          type: string
          title: Title
        created_by:
          type: string
          title: Created By
        archived:
          type: boolean
          title: Archived
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - qid
        - slug
        - title
        - created_by
        - archived
        - created_at
      title: LeafResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.